package com.bcxin.ins.third.gzx.huatai.util;


public enum Policy_ActivityFireFight {

	
	ACCEPTANCE {public String getValue(){return "1";} public String getName(){return "有消防验收";}}, 
	
	EXTINGUISHER {public String getValue(){return "2";} public String getName(){return "无消防验收但配备灭火器";} }, 
	
	NO_EXTINGUISHER {public String getValue(){return "3";} public String getName(){return "无消防验收无灭火器";} }; 
	
	
    public abstract String getValue();
    
    public abstract String getName();
    
    public static Policy_ActivityFireFight convert_name(String name){
    	if ( "ACCEPTANCE".equals(name) ) {
    		return ACCEPTANCE;
    	} else if ( "EXTINGUISHER".equals(name)) {
    		return EXTINGUISHER;
    	} else if ( "NO_EXTINGUISHER".equals(name)) {
    		return NO_EXTINGUISHER;
    	}
    	return null;
    }
    
}
